Commit b407a51c authored by Daniel Teske's avatar Daniel Teske

Show baseEnvironment changes in QmlProjectRunConfigurations's widget

That react to editing qt versions and selecting a different qt version.
The environment also depends on the available toolchains, that is
not taken into account.

Change-Id: I70fc1d444a0cbceb4fcb35fb7961bac8a0db9c14
Reviewed-on: http://codereview.qt.nokia.com/2353Reviewed-by: default avatarQt Sanity Bot <qt_sanity_bot@ovi.com>
Reviewed-by: default avatarKai Koehne <kai.koehne@nokia.com>
parent 17572282
......@@ -110,9 +110,6 @@ QmlProjectRunConfigurationWidget::QmlProjectRunConfigurationWidget(QmlProjectRun
layout->addWidget(detailsWidget);
updateFileComboBox();
updateQtVersionComboBox();
//
// Debugging
//
......@@ -166,6 +163,9 @@ QmlProjectRunConfigurationWidget::QmlProjectRunConfigurationWidget(QmlProjectRun
layout->addWidget(m_environmentWidget);
updateFileComboBox();
updateQtVersionComboBox();
}
static bool caseInsensitiveLessThan(const QString &s1, const QString &s2)
......@@ -252,6 +252,7 @@ void QmlProjectRunConfigurationWidget::onQtVersionSelectionChanged()
QTC_ASSERT(data.isValid() && data.canConvert(QVariant::Int), return)
m_runConfiguration->setQtVersionId(data.toInt());
m_runConfiguration->updateEnabled();
m_environmentWidget->setBaseEnvironment(m_runConfiguration->baseEnvironment());
}
void QmlProjectRunConfigurationWidget::onViewerArgsChanged()
......@@ -303,6 +304,8 @@ void QmlProjectRunConfigurationWidget::updateQtVersionComboBox()
m_qtVersionComboBox->addItem(tr("Invalid Qt version"), -1);
m_qtVersionComboBox->setCurrentIndex(0);
}
// Might have edited the qt version or changed e.g. the sysroot of a SymbianQtVersion
m_environmentWidget->setBaseEnvironment(m_runConfiguration->baseEnvironment());
}
void QmlProjectRunConfigurationWidget::userChangesChanged()
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment